.card-image {
    filter: grayscale(100%);
    transition: filter 0.3s ease-in-out;
}

.group:hover .card-image {
    filter: grayscale(0%);
}

.line-clamp-2 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.aspect-ratio-16x9 {
  position: relative;
  width: 100%;
  padding-bottom: 66.25%; /* 9 / 16 = 56.25% */
  height: 0; /* KRITIS: Memaksa tinggi default menjadi 0 */
  overflow: hidden;
}

.aspect-ratio-16x9 iframe {
  position: absolute; /* KRITIS: Iframe harus absolute */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; /* KRITIS: Mengisi 100% dari wrapper */
}
